.686
.model flat,stdcall
option casemap:none
include windows.inc
include libc.inc
includelib libcmt.lib
include kernel32.inc
includelib kernel32.lib
include user32.inc
includelib user32.lib
include libv2simple.inc
includelib libv2simple.lib

;; tune.obj is added in the linker command line
externdef c theTune:byte 

.code
; int _cdecl main (dword argc,byte *argv[])
main proc C uses esi edi ebx argc:dword,argv:ptr byte

	;; print a bunch of senseless info..
	invoke printf,T(13,10,"Farbrausch Tiny Music Player v0.dontcare TWO",13,10);
	invoke printf,T("Code and Synthesizer (C) 2000-2008 kb/Farbrausch",13,10);
	invoke printf,T(13,10,13,10,"Now Playing: 'Patient Zero' by Melwyn & Little Bitchard",13,10);

	;; init synthesizer and player with the tune and the current window
	invoke GetForegroundWindow
	invoke V2MInit,offset theTune,eax

	;; start playing
	invoke V2MPlay;

	invoke printf,T(13,10,13,10,"press ESC to quit",13,10);

	;; wait until someone presses ESC
	;; yep, I know this will stop even if we don't have focus. I simply don't care.
	.while (1) 
		invoke GetAsyncKeyState,VK_ESCAPE
		test eax,eax
		.break .if sign?
		invoke Sleep,10; 
	.endw

	;; stop and deinit the player
	invoke V2MClose;

	;; ... and we're done.
	xor eax,eax
	ret
main endp

end
