#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#include "../v2mplayer.h"
#include "../libv2.h"

static V2MPlayer player;

extern "C" void __stdcall V2MInit(unsigned char *pTune,void *hWnd)
{
	player.Init();
	player.Open(pTune);
	dsInit((DSIOCALLBACK *)&player.RenderProxy,(void *)&player,hWnd);
}

extern "C" void __stdcall V2MPlay()
{
	player.Play();
}

extern "C" bool __stdcall V2MIsPlaying()
{
	return player.IsPlaying();
}

extern "C" void __stdcall V2MStop(int fadetime)
{
	player.Stop(fadetime);
}

extern "C" void __stdcall V2MClose()
{
	dsClose();
	player.Close();
}


